{ config, lib, pkgs, ... }:

{
  boot.plymouth.enable = true;
  nixpkgs.config = {
    mumble.speechdSupport = true;
    allowUnfree = true;
  };
# boot.plymouth.splashBeforeUnlock = true;
  environment.systemPackages = with pkgs; [
    pulsemixer pavucontrol
    firefox kitty j4-dmenu-desktop bemenu
    breeze-qt5 mako
    mpv youtube-dl
    wl-clipboard mumble
    xdg_utils
    slurp grim libnotify
    _1password-gui
    gimp
    # gnome3.nautilus
  ] ++ (with pkgs; [ alacritty picom feh copyq polybar cinnamon.nemo rofi arandr notepadqq nomacs imv gthumb ]);

  sound.enable = true;
  time.timeZone = "Europe/Berlin";
  hardware.pulseaudio = {
    enable = true;
    package = pkgs.pulseaudioFull;
  };
  networking.useDHCP = lib.mkDefault true;
  hardware.opengl.enable = true;
  services.xserver = {
    windowManager.bspwm.enable = true;
    layout = "de";
  };
}
